/*
 * VersionAction.cpp
 *
 *  Created on: May 8, 2010
 *      Author: heber
 */

#include "Helpers/MemDebug.hpp"

#include "Actions/CmdAction/VersionAction.hpp"
#include "Actions/ActionRegistry.hpp"

#include <iostream>
#include <string>

using namespace std;

#include "UIElements/UIFactory.hpp"
#include "UIElements/Dialog.hpp"
#include "UIElements/ValueStorage.hpp"

const char CommandLineVersionAction::NAME[] = "version";

CommandLineVersionAction::CommandLineVersionAction() :
  Action(NAME)
{}

CommandLineVersionAction::~CommandLineVersionAction()
{}

void CommandVersion() {
  ActionRegistry::getInstance().getActionByName(CommandLineVersionAction::NAME)->call(Action::NonInteractive);
};

Dialog* CommandLineVersionAction::createDialog() {
  Dialog *dialog = UIFactory::getInstance().makeDialog();

  dialog->queryEmpty(NAME, ESPACKVersion);

  return dialog;
}

Action::state_ptr CommandLineVersionAction::performCall() {
  return Action::success;
}

Action::state_ptr CommandLineVersionAction::performUndo(Action::state_ptr _state) {
  return Action::success;
}

Action::state_ptr CommandLineVersionAction::performRedo(Action::state_ptr _state){
  return Action::success;
}

bool CommandLineVersionAction::canUndo() {
  return true;
}

bool CommandLineVersionAction::shouldUndo() {
  return true;
}

const string CommandLineVersionAction::getName() {
  return NAME;
}
